DRM_ATOMIC_HELPER_CO(9)

NAME
drm_atomic_helper_commit - commit validated state object

SYNOPSIS

int drm_atomic_helper_commit(struct drm_device * dev, struct drm_atomic_state * state, bool async);

ARGUMENTS

dev
    DRM device

state
    the driver state object

async
    asynchronous commit

DESCRIPTION

This function commits a with drm_atomic_helper_check pre-validated state object. This can still fail when e.g. the framebuffer reservation fails. For now this doesn't implement asynchronous commits.

RETURNS Zero for success or -errno.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT